# DataExchange
TKSTEPBase
StepShape

# StepShape_CompoundShapeRepresentation Class Reference

Representation of STEP entity CompoundShapeRepresentation
.

`#include <StepShape_CompoundShapeRepresentation.hxx>`

Inheritance diagram for StepShape_CompoundShapeRepresentation:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_CompoundShapeRepresentation ()
| Empty constructor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_CompoundShapeRepresentation::StepShape_CompoundShapeRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_CompoundShapeRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_ShapeRepresentation.

The documentation for this class was generated from the following file:

- StepShape_CompoundShapeRepresentation.hxx